HibernateStatsImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.management.impl
Class HibernateStatsImpl

    java.lang.Object
      javax.management.StandardMBean
          org.hibernate.cache.ehcache.management.impl.BaseEmitterBean
              org.hibernate.cache.ehcache.management.impl.HibernateStatsImpl

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, NotificationEmitter, net.sf.ehcache.hibernate.management.api.HibernateStats

    public class HibernateStatsImpl

extends BaseEmitterBean
implements net.sf.ehcache.hibernate.management.api.HibernateStats

Implementation of `HibernateStats`

Field Summary

Fields inherited from class org.hibernate.cache.ehcache.management.impl.BaseEmitterBean
`emitter, sequenceNumber`

Fields inherited from interface net.sf.ehcache.hibernate.management.api.HibernateStats
`CACHE_ENABLED, CACHE_FLUSHED, CACHE_REGION_CHANGED, CACHE_REGION_FLUSHED, CACHE_STATISTICS_ENABLED, CACHE_STATISTICS_RESET`

Constructor Summary
`HibernateStatsImpl(SessionFactory sessionFactory)` Constructor accepting the backing `SessionFactory`

Method Summary
`void` | `clearStats()`
`void` | `disableStats()`
`protected void` | `doDispose()` Dispose callback of subclasses
`void` | `enableStats()`
`TabularData` | `getCacheRegionStats()`
`long` | `getCloseStatementCount()`
`TabularData` | `getCollectionStats()`
`long` | `getConnectCount()`
`long` | `getDBSQLExecutionSample()` Not supported right now
`TabularData` | `getEntityStats()`
`long` | `getFlushCount()`
`MBeanNotificationInfo[]` | `getNotificationInfo()`
`long` | `getOptimisticFailureCount()`
`long` | `getPrepareStatementCount()`
`long` | `getQueryExecutionCount()`
`double` | `getQueryExecutionRate()`
`long` | `getQueryExecutionSample()`
`TabularData` | `getQueryStats()`
`long` | `getSessionCloseCount()`
`long` | `getSessionOpenCount()`
`long` | `getSuccessfulTransactionCount()`
`long` | `getTransactionCount()`
`boolean` | `isStatisticsEnabled()`
`void` | `setStatisticsEnabled(boolean flag)`

Methods inherited from class org.hibernate.cache.ehcache.management.impl.BaseEmitterBean
`addNotificationListener, dispose, removeNotificationListener, removeNotificationListener, sendNotification, sendNotification, sendNotification`

Methods inherited from class javax.management.StandardMBean
`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, removeNotificationListener`

Constructor Detail

### HibernateStatsImpl

    public HibernateStatsImpl(SessionFactory sessionFactory)
                       throws NotCompliantMBeanException

  Constructor accepting the backing `SessionFactory`

  Parameters:
    `sessionFactory` -
  Throws:
    `NotCompliantMBeanException`

Method Detail

### clearStats

    public void clearStats()

  Specified by:
    `clearStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.clearStats()`

### disableStats

    public void disableStats()

  Specified by:
    `disableStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.disableStats()`

### enableStats

    public void enableStats()

  Specified by:
    `enableStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.enableStats()`

### getCloseStatementCount

    public long getCloseStatementCount()

  Specified by:
    `getCloseStatementCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getCloseStatementCount()`

### getConnectCount

    public long getConnectCount()

  Specified by:
    `getConnectCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getConnectCount()`

### getDBSQLExecutionSample

    public long getDBSQLExecutionSample()

  Not supported right now

### getFlushCount

    public long getFlushCount()

  Specified by:
    `getFlushCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getFlushCount()`

### getOptimisticFailureCount

    public long getOptimisticFailureCount()

  Specified by:
    `getOptimisticFailureCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getOptimisticFailureCount()`

### getPrepareStatementCount

    public long getPrepareStatementCount()

  Specified by:
    `getPrepareStatementCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getPrepareStatementCount()`

### getQueryExecutionCount

    public long getQueryExecutionCount()

  Specified by:
    `getQueryExecutionCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getQueryExecutionCount()`

### getQueryExecutionRate

    public double getQueryExecutionRate()

  Specified by:
    `getQueryExecutionRate` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getQueryExecutionRate()`

### getQueryExecutionSample

    public long getQueryExecutionSample()

  Specified by:
    `getQueryExecutionSample` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getQueryExecutionSample()`

### getSessionCloseCount

    public long getSessionCloseCount()

  Specified by:
    `getSessionCloseCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getSessionCloseCount()`

### getSessionOpenCount

    public long getSessionOpenCount()

  Specified by:
    `getSessionOpenCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getSessionOpenCount()`

### getSuccessfulTransactionCount

    public long getSuccessfulTransactionCount()

  Specified by:
    `getSuccessfulTransactionCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getSuccessfulTransactionCount()`

### getTransactionCount

    public long getTransactionCount()

  Specified by:
    `getTransactionCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getTransactionCount()`

### isStatisticsEnabled

    public boolean isStatisticsEnabled()

  Specified by:
    `isStatisticsEnabled` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.isStatisticsEnabled()`

### setStatisticsEnabled

    public void setStatisticsEnabled(boolean flag)

  Specified by:
    `setStatisticsEnabled` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.setStatisticsEnabled(boolean)`

### getEntityStats

    public TabularData getEntityStats()

  Specified by:
    `getEntityStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getEntityStats()`

### getCollectionStats

    public TabularData getCollectionStats()

  Specified by:
    `getCollectionStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getCollectionStats()`

### getQueryStats

    public TabularData getQueryStats()

  Specified by:
    `getQueryStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getQueryStats()`

### getCacheRegionStats

    public TabularData getCacheRegionStats()

  Specified by:
    `getCacheRegionStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`

### doDispose

    protected void doDispose()

  Dispose callback of subclasses

  Specified by:
    `doDispose` in class `BaseEmitterBean`

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    `getNotificationInfo` in interface `NotificationBroadcaster`
  Specified by:
    `getNotificationInfo` in class `BaseEmitterBean`
  See Also:
    `BaseEmitterBean.getNotificationInfo()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.